<script lang="ts" setup>
import type { BaseImage } from '@/types/base';

export interface QuoteCard {
  quote: string;
  author: string;
  logo: BaseImage;
  config: {
    href: string;
    dataGaName: string;
    dataGaLocation: string;
  };
}

const props = defineProps<QuoteCard>();

const parentTag = computed(() => (props.config.href ? 'a' : 'div'));
</script>

<template>
  <component
    :is="parentTag"
    v-bind="config.href ? { href: config.href } : {}"
    :class="config.href ? `case-study-quote__link` : ''"
    :data-ga-name="config.dataGaName"
    :data-ga-location="config.dataGaLocation"
  >
    <SlpRow class="case-study-quote">
      <SlpColumn>
        <div class="case-study-quote__title-img">
          <img v-if="logo.config.src" :src="logo.config.src" :alt="logo.altText" loading="lazy" />
        </div>
        <SlpTypography class="case-study-quote__body" tag="p" variant="quotes"> {{ quote }}</SlpTypography>
        <SlpTypography class="case-study-quote__author" tag="p" variant="body3-bold">- {{ author }}</SlpTypography>
      </SlpColumn>
    </SlpRow>
  </component>
</template>

<style scoped lang="scss">
.case-study-quote {
  min-height: 490px;
  display: flex;
  flex-wrap: wrap;

  @media (min-width: $breakpoint-md) {
    flex-wrap: nowrap;
  }

  &__title-img {
    width: 7rem;
    img {
      width: 100%;
    }
  }

  &__body {
    padding: $spacing-16 $spacing-16 $spacing-24 0;
    &.top-align {
      padding: 0 $spacing-16 $spacing-24 0;

      @media (max-width: $breakpoint-lg) {
        padding-top: $spacing-32;
      }
    }
  }

  &__author {
    padding-bottom: $spacing-16;
  }

  &__main-img {
    min-width: 250px;
    margin-right: $spacing-64;

    img {
      max-width: 100%;
      border-radius: 0 0 100px 0;
      object-fit: cover;
    }
  }

  &.logo {
    align-items: center;
    &.top-align {
      align-items: flex-start;
    }
    img {
      border-radius: 0;
      object-fit: contain;
    }
  }
}

.case-study-quote__link {
  color: $color-text-300;
}
</style>
